## leaktracer 2.3

=== Makefile ===
CC = g++

# Source files
SRC := LeakTracer.cc

# Comment out to disable thread safetly
THREAD=-DTHREAD_SAVE -D_REENTRANT -D_THREAD_SAFE -pthread 

# Common flags
C_FLAGS = -g -pipe -Wall -W $(THREAD)
O_FLAGS = $(C_FLAGS)

# Object files
OBJ_DIR = .
OBJ   := $(patsubst %.cc,$(OBJ_DIR)/%.o,$(SRC))
SHOBJ := $(patsubst %.o,$(OBJ_DIR)/%.so,$(OBJ))

.PHONY: all clean tidy distrib test

all: $(OBJ) $(SHOBJ)

clean:	tidy 
	rm -f $(OBJ) leak.out

tidy:
	rm -f *~ *orig *bak *rej

tags:	$(SRC) $(INCL)
	ctags $(SRC) $(INCL)

distrib: clean all README.html
	(cd .. && tar cvfz  /root/drylock/LeakTracer/LeakTracer.tar.gz --exclude LeakTracer/CVS --exclude LeakTracer/old --exclude LeakTracer/test LeakTracer/)

$(OBJ_DIR)/%.o: %.cc
	$(CC) -fPIC -c $(C_FLAGS) $< -o $@

$(OBJ_DIR)/%.so : $(OBJ_DIR)/%.o
	$(CC) $(O_FLAGS) -shared -o $@ $<

README.html: README
	/root/ed/mcl/util/htmlize.pl README

test:
	$(CC) $(C_FLAGS) test.cc -o test
	./test
	./LeakCheck ./test
	./leak-analyze ./test
#	./compare-test test.template test.result

## leaktracer 2.4

=== Makefile ===
--- 
+++ 
@@ -29,7 +29,7 @@
 	ctags $(SRC) $(INCL)
 
 distrib: clean all README.html
-	(cd .. && tar cvfz  /root/drylock/LeakTracer/LeakTracer.tar.gz --exclude LeakTracer/CVS --exclude LeakTracer/old --exclude LeakTracer/test LeakTracer/)
+	(cd .. && tar cvfz  /u/erwin/drylock/LeakTracer/LeakTracer.tar.gz -X LeakTracer/.tarexcl  LeakTracer/)
 
 $(OBJ_DIR)/%.o: %.cc
 	$(CC) -fPIC -c $(C_FLAGS) $< -o $@
@@ -38,7 +38,7 @@
 	$(CC) $(O_FLAGS) -shared -o $@ $<
 
 README.html: README
-	/root/ed/mcl/util/htmlize.pl README
+	/u/erwin/ed/mcl/util/htmlize.pl README
 
 test:
 	$(CC) $(C_FLAGS) test.cc -o test

=== debian/changelog ===
leaktracer (2.4-6.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop CFLAGS from test run, which results in FTBFS (Closes: #1053727).

 -- Bastian Germann <bage@debian.org>  Mon, 09 Oct 2023 18:11:18 +0200

leaktracer (2.4-6.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Convert to source format 3.0 (Closes: #1043194).

  [ Helmut Grohne ]
  * Fix FTCBFS: Pass triplet-prefixed CXX as CC to make (Closes: #865741).

 -- Bastian Germann <bage@debian.org>  Fri, 29 Sep 2023 12:17:22 +0200

leaktracer (2.4-6.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/rules: Add build-{arch,indep} (Closes: #998951).

 -- Marcos Talau <talau@debian.org>  Thu, 03 Nov 2022 14:35:22 -0300

leaktracer (2.4-6) unstable; urgency=medium

  * Switch to debhelper v9 (Closes: #817515).
  * Add missing misc:Depends to control file.
  * Update test.cc to avoid double free, now detected by default.
  * Run tests, unless "nocheck" is set; build-depend on gdb for this.
  * Don't ignore "make clean" errors with "-"prefix (lintian).
  * Switch from dh_clean -k to dh_prep.
  * Fixed doc-base section to just "Programming".

 -- Yann Dirson <dirson@debian.org>  Thu, 23 Jun 2016 22:03:18 +0200

leaktracer (2.4-5) unstable; urgency=low

  * Stop declaring obsolete task c-dev (Closes: #318940).
  * Bumped Standards-Version to 3.6.2, no change.
  * Bumped debhelper compat level to 4, no change.

 -- Yann Dirson <dirson@debian.org>  Mon, 18 Jul 2005 23:16:06 +0200

leaktracer (2.4-4) unstable; urgency=low

  * Build with g++-4.0.

 -- Yann Dirson <dirson@debian.org>  Tue,  5 Jul 2005 23:32:24 +0200

leaktracer (2.4-3) unstable; urgency=low

  * Removed XB-Task field from debian/control and use a parameter to
    dh_gencontrol instead, since dpkg-gencontrol messes with the field's
    case (Closes: #305754).
  * Removed g++ from the build-deps, it is essential now.
  * Added debian/watch file - mostly useless since upstream does not put
    version in the tarball name.
  * Bumped Standards-Version to 3.6.1, no change.

 -- Yann Dirson <dirson@debian.org>  Tue, 26 Apr 2005 22:35:30 +0200

leaktracer (2.4-2) unstable; urgency=low

  * Fixed manpage SGML markup (CLoses: #223779).
  * Extract manpage generation into its own rule.
  * Prefixed Task: field with XB- in debian/control.

 -- Yann Dirson <dirson@debian.org>  Fri,  9 Jan 2004 14:58:55 +0100

leaktracer (2.4-1) unstable; urgency=low

  * New upstream release.
  * Use dh-buildinfo.

 -- Yann Dirson <dirson@debian.org>  Mon, 22 Sep 2003 14:55:04 +0200

leaktracer (2.3-3) unstable; urgency=low

  * s/info/html/ in manpage (Closes: #194284).
  * Commented out refentryinfo in manpage, since that's not supported by
    the converter.
  * Be sure to remove auxiliary generated files from docbook2man on
    debian/rules clean.  
  * Rebuilt with g++ 3.3.
  * Build with -g -O2 as per current policy, and support "noopt" flag
    instead of "debug".
  * Install the LD_PRELOAD object in a subdir of /usr/lib/, since that's
    not a real full-fledged shared lib (lintian).
  * Use debian/compat; build-deb on debhelper 3.4.4.
  * Updated debian/rules copyright.
  * Bumped Standards-Version to 3.5.10.

 -- Yann Dirson <dirson@debian.org>  Sat,  7 Jun 2003 17:39:55 +0200

leaktracer (2.3-2) unstable; urgency=low

  * Rebuilt for the g++-3.2 transition.

 -- Yann Dirson <dirson@debian.org>  Thu,  9 Jan 2003 10:11:10 +0100

leaktracer (2.3-1) unstable; urgency=low

  * Initial Release (Closes: #141937).
  * Changed Makefile to ease CFLAGS tweeking.
  * Added realclean: target to Makefile.
  * Written a small manpage.  Format it with docbook-utils, as docbook-to-man
    does a wrong job here.

 -- Yann Dirson <dirson@debian.org>  Thu,  9 Apr 2002 21:31:44 +0200

=== debian/control ===
Source: leaktracer
Section: devel
Priority: optional
Maintainer: Yann Dirson <dirson@debian.org>
Build-Depends: debhelper (>= 9), docbook-utils, dh-buildinfo, gdb
Standards-Version: 3.6.2

Package: leaktracer
Architecture: any
Depends: gdb, ${shlibs:Depends}, ${perl:Depends}, ${misc:Depends}
Description: Simple and efficient memory-leak tracer for C++ programs
 LeakTracer traces calls to new and delete, and reports
 inconsistencies in the C++-level memory-management.
 .
 It has limitations (eg. when you override the new and delete
 operators yourself), but is very easy to use (eg. compared to more
 complete tools like mpatrol), traces the C++ level (unlike most other
 tools), and gives pretty good results.
 .
 It uses gdb to display source-file information.

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for leaktrace
# (c) 2001-2003 by Yann Dirson
# based on sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

include /usr/share/dpkg/architecture.mk

ifeq ($(origin CXX),default)
  CXX := $(DEB_HOST_GNU_TYPE)-g++
endif
CFLAGS=-Wall -W -g
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
  CFLAGS += -O0
else
  CFLAGS += -O2
endif
ifneq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
  NOCHECK := 1
else
  NOCHECK := 0
endif

build: build-stamp

build-stamp: debian/LeakTracer.1
	dh_testdir

	$(MAKE) CC="$(CXX)" CFLAGS="${CFLAGS}"
	[ $(NOCHECK) = 1 ] || $(MAKE) test CC="$(CXX)"

	touch build-stamp

%.1: %.sgml
	cd `dirname $<` && docbook2man  `basename $<`

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp debian/LeakTracer.1 debian/manpage.refs

	$(MAKE) realclean || true

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs usr/bin usr/lib/leaktracer

	cp -p leak-analyze debian/leaktracer/usr/bin
	sed "s,\`dirname \$$0\`,/usr/lib/leaktracer," < LeakCheck \
	  > debian/leaktracer/usr/bin/LeakCheck
	chmod +x debian/leaktracer/usr/bin/LeakCheck
	cp -p LeakTracer.so debian/leaktracer/usr/lib/leaktracer

	mkdir -p debian/leaktracer/usr/share/man/man1/
	install -m644 debian/LeakTracer.1 \
		debian/leaktracer/usr/share/man/man1/
	cd debian/leaktracer/usr/share/man/man1/ && \
		ln -s LeakTracer.1 LeakCheck.1 && \
		ln -s LeakTracer.1 leak-analyze.1

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs README*
	dh_buildinfo
#	dh_installexamples
#	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installman
#	dh_installinfo
#	dh_undocumented
	dh_installchangelogs 
#	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch

build-arch: build
build-indep: build

.PHONY: build build-arch build-indep clean binary-indep binary-arch binary install

=== debian/watch ===
version=2
http://www.andreasen.org/LeakTracer/ LeakTracer.tar.gz
